package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.SubjectChange;
import com.ym.mec.biz.dal.enums.KitGroupPurchaseTypeEnum;
import com.ym.mec.biz.dal.enums.PaymentStatusEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.enums.UserGenderEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class RegisterDto {


    @ApiModelProperty(value = "学生编号",required = false)
    private Integer userId;

    @ApiModelProperty(value = "学生姓名",required = false)
    private String studentName;

    @ApiModelProperty(value = "家长姓名",required = false)
    private String parentsName;

    @ApiModelProperty(value = "联系电话",required = false)
    private String parentsPhone;

    /** 当前所在年级 */
    @ApiModelProperty(value = "当前所在年级",required = false)
    private String currentGrade;

    /** 当前所在班级 */
    @ApiModelProperty(value = "当前所在班级",required = false)
    private String currentClass;

    @ApiModelProperty(value = "性别",required = false)
    private UserGenderEnum gender;


    @ApiModelProperty(value = "实际专业名称",required = false)
    private String actualSubjectName;

    @ApiModelProperty(value = "报名专业名称",required = false)
    private Integer actualSubjectId;

    /** 是否允许调剂 */
    @ApiModelProperty(value = "是否允许调剂",required = false)
    private YesOrNoEnum isAllowAdjust;


    @ApiModelProperty(value = "预报名时间",required = false)
    private Date perRegisterTime;

    @ApiModelProperty(value = "与首位预报名时间差",required = false)
    private Integer perRegInterval;

    @ApiModelProperty(value = "缴费时间",required = false)
    private Date payTime;

    @ApiModelProperty(value = "与首位缴费时间差",required = false)
    private Integer payInterval;

    private String perRegIntervalStr;

    private String payIntervalStr;

    private Date minPerRegisterTime;

    private Date minPayTime;

    private Integer perRegSort;

    private Integer paySort;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getParentsName() {
        return parentsName;
    }

    public void setParentsName(String parentsName) {
        this.parentsName = parentsName;
    }

    public String getParentsPhone() {
        return parentsPhone;
    }

    public void setParentsPhone(String parentsPhone) {
        this.parentsPhone = parentsPhone;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public UserGenderEnum getGender() {
        return gender;
    }

    public void setGender(UserGenderEnum gender) {
        this.gender = gender;
    }

    public String getActualSubjectName() {
        return actualSubjectName;
    }

    public void setActualSubjectName(String actualSubjectName) {
        this.actualSubjectName = actualSubjectName;
    }

    public Integer getActualSubjectId() {
        return actualSubjectId;
    }

    public void setActualSubjectId(Integer actualSubjectId) {
        this.actualSubjectId = actualSubjectId;
    }

    public YesOrNoEnum getIsAllowAdjust() {
        return isAllowAdjust;
    }

    public void setIsAllowAdjust(YesOrNoEnum isAllowAdjust) {
        this.isAllowAdjust = isAllowAdjust;
    }

    public Date getPerRegisterTime() {
        return perRegisterTime;
    }

    public void setPerRegisterTime(Date perRegisterTime) {
        this.perRegisterTime = perRegisterTime;
    }

    public Integer getPerRegInterval() {
        return perRegInterval;
    }

    public void setPerRegInterval(Integer perRegInterval) {
        this.perRegInterval = perRegInterval;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Integer getPayInterval() {
        return payInterval;
    }

    public void setPayInterval(Integer payInterval) {
        this.payInterval = payInterval;
    }

    public String getPerRegIntervalStr() {
        return perRegIntervalStr;
    }

    public void setPerRegIntervalStr(String perRegIntervalStr) {
        this.perRegIntervalStr = perRegIntervalStr;
    }

    public String getPayIntervalStr() {
        return payIntervalStr;
    }

    public void setPayIntervalStr(String payIntervalStr) {
        this.payIntervalStr = payIntervalStr;
    }

    public Date getMinPerRegisterTime() {
        return minPerRegisterTime;
    }

    public void setMinPerRegisterTime(Date minPerRegisterTime) {
        this.minPerRegisterTime = minPerRegisterTime;
    }

    public Date getMinPayTime() {
        return minPayTime;
    }

    public void setMinPayTime(Date minPayTime) {
        this.minPayTime = minPayTime;
    }

    public Integer getPerRegSort() {
        return perRegSort;
    }

    public void setPerRegSort(Integer perRegSort) {
        this.perRegSort = perRegSort;
    }

    public Integer getPaySort() {
        return paySort;
    }

    public void setPaySort(Integer paySort) {
        this.paySort = paySort;
    }
}
